[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ImgList' (#lcl)

# TCustomImageList.WriteData

Writes image data for the default resolution to a stream.

## Declaration

Source position: imglist.pp line 334

`public procedure TCustomImageList.WriteData(`
`AStream: TStream`
`); virtual;`

## Arguments

`AStream` |  | Stream used to store the image data.

## Description

WriteData is a procedure used to write the image data for the default resolution to the stream specified in AStream. WriteData calls GetResolution using the value in Width to retrieve the default image resolution. The WriteData method in TCustomImageListResolution is called to perform the write operation using the specified stream.

Remark: | Data compression is enabled when writing image data for the resolution. Data compression was not enabled in previous LCL versions to maintain compatibility with earlier versions of Lazarus. That backward compatibility is no longer possible with image compression enabled.

Use WriteAdvData to write image data for all resolutions in the image list.

Use ReadData to read image data from a stream.

## Version info

Image compression was enabled as a default in revision 62583, and will be included in Lazarus versions after 2.0.6.

## See also

TCustomImageList.GetResolution |  | Gets the value for the indexed Resolution property.
TCustomImageList.WriteAdvData |  | Writes the image content for multiple resolutions to the specified stream.
TCustomImageList.ReadData |  | Reads image data for the default resolution from a stream.